CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
Clock.h File Reference
`#include <SFML/System/Export.h>`
`#include <SFML/System/Time.h>`
`#include <SFML/System/Types.h>`

Go to the source code of this file.

## Functions
CSFML_SYSTEM_API sfClock * | sfClock_create (void)
| Create a new clock and start it. More...
CSFML_SYSTEM_API sfClock * | sfClock_copy (const sfClock *clock)
| Create a new clock by copying an existing one. More...
CSFML_SYSTEM_API void | sfClock_destroy (sfClock *clock)
| Destroy a clock. More...
CSFML_SYSTEM_API sfTime | sfClock_getElapsedTime (const sfClock *clock)
| Get the time elapsed in a clock. More...
CSFML_SYSTEM_API sfTime | sfClock_restart (sfClock *clock)
| Restart a clock. More...

## Function Documentation

CSFML_SYSTEM_API sfClock* sfClock_copy | ( | const sfClock * | clock) |  |

Create a new clock by copying an existing one.

Parameters

  clock | Clock to copy

Returns
  A new sfClock object which is a copy of clock

CSFML_SYSTEM_API sfClock* sfClock_create | ( | void | ) |  |

Create a new clock and start it.

Returns
  A new sfClock object

CSFML_SYSTEM_API void sfClock_destroy | ( | sfClock * | clock) |  |

Destroy a clock.

Parameters

  clock | Clock to destroy

CSFML_SYSTEM_API sfTime sfClock_getElapsedTime | ( | const sfClock * | clock) |  |

Get the time elapsed in a clock.

This function returns the time elapsed since the last call to sfClock_restart (or the construction of the object if sfClock_restart has not been called).

Parameters

  clock | Clock object

Returns
  Time elapsed

CSFML_SYSTEM_API sfTime sfClock_restart | ( | sfClock * | clock) |  |

Restart a clock.

This function puts the time counter back to zero. It also returns the time elapsed since the clock was started.

Parameters

  clock | Clock object

Returns
  Time elapsed